## vtk7 7.1.1%2Bdfsg2

=== Charts/Core/CMakeLists.txt ===
set(Module_SRCS
  vtkAxis.cxx
  vtkAxisExtended.cxx
  vtkCategoryLegend.cxx
  vtkChart.cxx
  vtkChartBox.cxx
  vtkChartHistogram2D.cxx
  vtkChartLegend.cxx
  vtkChartMatrix.cxx
  vtkChartParallelCoordinates.cxx
  vtkChartPie.cxx
  vtkChartXY.cxx
  vtkChartXYZ.cxx
  vtkColorLegend.cxx
  vtkColorTransferControlPointsItem.cxx
  vtkColorTransferFunctionItem.cxx
  vtkCompositeControlPointsItem.cxx
  vtkCompositeTransferFunctionItem.cxx
  vtkContextArea.cxx
  vtkContextPolygon.cxx
  vtkControlPointsItem.cxx
  vtkLookupTableItem.cxx
  vtkPiecewiseControlPointsItem.cxx
  vtkPiecewiseFunctionItem.cxx
  vtkPiecewisePointHandleItem.cxx
  vtkPlot.cxx
  vtkPlot3D.cxx
  vtkPlotArea.cxx
  vtkPlotBag.cxx
  vtkPlotBar.cxx
  vtkPlotBox.cxx
  vtkPlotFunctionalBag.cxx
  vtkPlotGrid.cxx
  vtkPlotHistogram2D.cxx
  vtkPlotLine.cxx
  vtkPlotLine3D.cxx
  vtkPlotParallelCoordinates.cxx # This adds a vtkInfovisCore dep for one class...
  vtkPlotPie.cxx
  vtkPlotPoints.cxx
  vtkPlotPoints3D.cxx
  vtkPlotStacked.cxx
  vtkPlotSurface.cxx
  vtkScalarsToColorsItem.cxx
  vtkScatterPlotMatrix.cxx
  )

set_source_files_properties(
  vtkChart
  vtkControlPointsItem
  vtkPlot
  vtkPlot3D
  vtkScalarsToColorsItem
  ABSTRACT
  )

set_source_files_properties(
  vtkContextPolygon
  WRAP_EXCLUDE
)

vtk_module_library(vtkChartsCore ${Module_SRCS})

=== Filters/ParallelImaging/CMakeLists.txt ===
set(Module_SRCS
  vtkPComputeHistogram2DOutliers.cxx
  vtkPExtractHistogram2D.cxx
  vtkPPairwiseExtractHistogram2D.cxx
  vtkExtractPiece.cxx
  vtkMemoryLimitImageDataStreamer.cxx
  vtkTransmitImageDataPiece.cxx
  )

vtk_module_library(vtkFiltersParallelImaging ${Module_SRCS})

=== Filters/Points/CMakeLists.txt ===
set(Module_SRCS
  vtkBoundedPointSource.cxx
  vtkEllipsoidalGaussianKernel.cxx
  vtkEuclideanClusterExtraction.cxx
  vtkExtractHierarchicalBins.cxx
  vtkExtractPointCloudPiece.cxx
  vtkExtractPoints.cxx
  vtkExtractSurface.cxx
  vtkFitImplicitFunction.cxx
  vtkGaussianKernel.cxx
  vtkGeneralizedKernel.cxx
  vtkHierarchicalBinningFilter.cxx
  vtkInterpolationKernel.cxx
  vtkLinearKernel.cxx
  vtkPCACurvatureEstimation.cxx
  vtkPCANormalEstimation.cxx
  vtkPointDensityFilter.cxx
  vtkPointCloudFilter.cxx
  vtkPointInterpolator.cxx
  vtkPointInterpolator2D.cxx
  vtkProbabilisticVoronoiKernel.cxx
  vtkRadiusOutlierRemoval.cxx
  vtkSPHInterpolator.cxx
  vtkSPHCubicKernel.cxx
  vtkSPHKernel.cxx
  vtkSPHQuarticKernel.cxx
  vtkSPHQuinticKernel.cxx
  vtkShepardKernel.cxx
  vtkSignedDistance.cxx
  vtkStatisticalOutlierRemoval.cxx
  vtkVoxelGrid.cxx
  vtkVoronoiKernel.cxx
  vtkWendlandQuinticKernel.cxx
  )

set_source_files_properties(
  vtkGeneralizedKernel.cxx
  vtkInterpolationKernel
  vtkPointCloudFilter
  ABSTRACT
  )

vtk_module_library(vtkFiltersPoints ${Module_SRCS})

=== Rendering/FreeType/CMakeLists.txt ===
include(vtkObjectFactory)

set(Module_SRCS
  vtkFreeTypeStringToImage.cxx
  vtkFreeTypeTools.cxx
  vtkMathTextFreeTypeTextRenderer.cxx
  vtkMathTextUtilities.cxx
  vtkTextRendererStringToImage.cxx
  vtkScaledTextActor.cxx
  vtkVectorText.cxx

  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.cxx

  fonts/face_arial_bold.cxx
  fonts/face_arial_bold_italic.cxx
  fonts/face_arial.cxx
  fonts/face_arial_italic.cxx
  fonts/face_courier_bold.cxx
  fonts/face_courier_bold_italic.cxx
  fonts/face_courier.cxx
  fonts/face_courier_italic.cxx
  fonts/face_times_bold.cxx
  fonts/face_times_bold_italic.cxx
  fonts/face_times.cxx
  fonts/face_times_italic.cxx
  )

set_source_files_properties(
  vtkFreeTypeTools
  WRAP_EXCLUDE
)

set_source_files_properties(
  fonts/face_arial_bold
  fonts/face_arial_bold_italic
  fonts/face_arial
  fonts/face_arial_italic
  fonts/face_courier_bold
  fonts/face_courier_bold_italic
  fonts/face_courier
  fonts/face_courier_italic
  fonts/face_times_bold
  fonts/face_times_bold_italic
  fonts/face_times
  fonts/face_times_italic
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.cxx
  PROPERTIES
    WRAP_EXCLUDE 1
    WRAP_EXCLUDE_PYTHON 1
  )

# Override some rendering classes. Create object factory:
list(APPEND vtk_module_overrides "vtkTextRenderer")
set(vtk_module_vtkTextRenderer_override "vtkMathTextFreeTypeTextRenderer")
vtk_object_factory_configure("${vtk_module_overrides}")

vtk_module_library(${vtk-module} ${Module_SRCS})

=== Rendering/Label/CMakeLists.txt ===
set(Module_SRCS
  vtkLabeledDataMapper.cxx
  vtkLabeledTreeMapDataMapper.cxx
  vtkLabelHierarchyAlgorithm.cxx
  vtkLabelHierarchyCompositeIterator.cxx
  vtkLabelHierarchy.cxx
  vtkLabelHierarchyIterator.cxx
  vtkLabelPlacementMapper.cxx
  vtkLabelPlacer.cxx
  vtkLabelRenderStrategy.cxx
  vtkLabelSizeCalculator.cxx
  vtkFreeTypeLabelRenderStrategy.cxx
  vtkDynamic2DLabelMapper.cxx
  vtkPointSetToLabelHierarchy.cxx
  )

set_source_files_properties(
  vtkLabelHierarchyIterator
  vtkLabelRenderStrategy
  ABSTRACT
  )

include_directories(${VTK_SOURCE_DIR}/Utilities) # octree
vtk_module_library(vtkRenderingLabel ${Module_SRCS})

=== Rendering/ParallelLIC/CMakeLists.txt ===
include(vtkObjectFactory)

set(Module_SRCS
  vtkMPIPixelTT.cxx
  vtkParallelTimer.cxx
  vtkPPixelTransfer.cxx
  vtkPLineIntegralConvolution2D.cxx
  vtkPPainterCommunicator.cxx
  vtkPSurfaceLICComposite.cxx
  ${CMAKE_CURRENT_BINARY_DIR}/vtkRenderingParallelLICObjectFactory.cxx
  )

set_source_files_properties(
  vtkMPIPixelTT.cxx
  vtkPPixelTransfer.cxx
  vtkPLineIntegralConvolution2D.cxx
  vtkPPainterCommunicator.cxx
  vtkPSurfaceLICComposite.cxx
  WRAP_EXCLUDE
  )

set_source_files_properties(
  vtkMPIPixelTT.cxx
  vtkPPixelTransfer.cxx
  vtkPSurfaceLICComposite.cxx
  PROPERTIES WRAP_EXCLUDE_PYTHON 1
  )

option(
  VTK_RENDERINGPARALLELLIC_SURFACELICPAINTER_TIMER
  "enable parallel timers for the surface lic painter"
  OFF
  )
mark_as_advanced(VTK_RENDERINGPARALLELLIC_SURFACELICPAINTER_TIMER)
option(
  VTK_RENDERINGPARALLELLIC_LINEINTEGRALCONVLOLUTION2D_TIMER
  "enable parallel timers for the 2d line integral convolution"
  OFF
  )
mark_as_advanced(VTK_RENDERINGPARALLELLIC_LINEINTEGRALCONVLOLUTION2D_TIMER)
if (VTK_RENDERINGPARALLELLIC_SURFACELICPAINTER_TIMER)
  add_definitions("-DvtkSurfaceLICPainterTIME")
endif()
if (VTK_RENDERINGPARALLELLIC_LINEINTEGRALCONVLOLUTION2D_TIMER)
  add_definitions("-DvtkLineIntegralConvolution2DTIME")
endif()

if(VTK_RENDERING_BACKEND STREQUAL "OpenGL2")
  list(APPEND Module_SRCS
    vtkPSurfaceLICInterface.cxx
    )
  vtk_add_override(vtkSurfaceLICInterface vtkPSurfaceLICInterface)
  set(shader_files
    vtkPSurfaceLICComposite_CompFS.glsl
    )
else()
  list(APPEND Module_SRCS
    vtkPSurfaceLICPainter.cxx
    )
  vtk_add_override(vtkSurfaceLICPainter vtkPSurfaceLICPainter)
  set(shader_files
    vtkPSurfaceLICComposite_Comp.glsl
    )
endif()

unset(shader_h_files)
foreach(file ${shader_files})
  get_filename_component(file_we ${file} NAME_WE)
  set(src ${CMAKE_CURRENT_SOURCE_DIR}/${file})
  set(res ${CMAKE_CURRENT_BINARY_DIR}/${file_we}.cxx)
  set(resh ${CMAKE_CURRENT_BINARY_DIR}/${file_we}.h)
  list(APPEND shader_h_files ${resh})
  add_custom_command(
    OUTPUT ${res} ${resh}
    DEPENDS ${src} vtkEncodeString
    COMMAND vtkEncodeString
    ARGS ${res} ${src} ${file_we}
    --build-header
    VTKRENDERINGPARALLELLIC_EXPORT
    vtkRenderingParallelLICModule.h
    )
  list(APPEND Module_SRCS ${res})
  set_source_files_properties(${file_we}
    PROPERTIES
      WRAP_EXCLUDE 1
      WRAP_EXCLUDE_PYTHON 1
    )
endforeach()

vtk_add_override(vtkLineIntegralConvolution2D vtkPLineIntegralConvolution2D)
vtk_add_override(vtkSurfaceLICComposite vtkPSurfaceLICComposite)
vtk_object_factory_configure("${vtk_module_overrides}")

include(vtkMPI)

vtk_module_library(${vtk-module} ${Module_SRCS})
include(vtkOpenGL)
vtk_opengl_link(${vtk-module})

vtk_mpi_link(${vtk-module})

=== ThirdParty/diy2/CMakeLists.txt ===
# Diy2 does not work on windows
if (NOT WIN32)
  vtk_module_third_party(diy2
    INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/vtkdiy2/include"
    NO_LIBRARIES
    )
endif()

=== Wrapping/Python/CMakeLists.txt ===
if (WIN32)
  if (building_vtkpythonrc)
    # XXX: With long paths, this command line can get too long because of all
    # the include directories required for vtkpython to work. The thing is that
    # CMake's RC rule in Ninja does not support response files, so the path can
    # end up way too long. Since this doesn't need those include paths, act as
    # if it is in a separate directory to avoid all the include_directories
    # used here.
    add_library(vtkpythonrc STATIC dummy.cxx vtkpython.rc)
    return()
  elseif (CMAKE_GENERATOR MATCHES "Visual Studio")
    set(extra_srcs vtkpython.rc)
  else ()
    set(building_vtkpythonrc TRUE)
    set(extra_links vtkpythonrc)
    # Make a separate directory scope for building vtkpythonrc.
    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/vtkpythonrc")
  endif ()
endif ()

# This is where we actually wrap the modules that have requested it.
include(vtkPythonWrapping)

get_property(VTK_PYTHON_MODULES GLOBAL PROPERTY VTK_PYTHON_WRAPPED)

# Get the include directories for the module and all its dependencies.
macro(vtk_include_recurse module)
  _vtk_module_config_recurse("${module}_PYTHON" ${module})
  include_directories(${${module}_PYTHON_INCLUDE_DIRS})
endmacro()


set(VTK_PYTHON_MODULES_AND_KITS ${VTK_PYTHON_MODULES})
set(_vtk_python_modules_only ${VTK_PYTHON_MODULES})

if(VTK_ENABLE_KITS)
  set(_vtk_kits_with_suffix)
  set(VTK_KIT_SUFFIX "Kit") # Required to avoid conflict with targets like vtkFiltersPython
  # Create list of module that do not belong to any kits
  foreach(kit IN LISTS vtk_kits)
    # XXX Variable '_${kit}_modules' is set in vtkModuleTop.cmake
    list(REMOVE_ITEM _vtk_python_modules_only ${_${kit}_modules})
    list(APPEND _vtk_kits_with_suffix ${kit}${VTK_KIT_SUFFIX})
  endforeach()
  set(VTK_PYTHON_MODULES_AND_KITS ${_vtk_kits_with_suffix} ${_vtk_python_modules_only})

  # Create dependency lists for kits (suffix: _DEPENDS). The function
  # vtk_add_python_wrapping_libary uses these lists.
  #
  # Additionally, create subsets of the full dependency lists that contain only
  # Python-wrapped kits and modules (suffix: _PYTHON_DEPENDS). These lists are
  # used to topologically sort the dependency graph.
  foreach(kit IN LISTS vtk_kits)
    set(_module_depends)
    foreach(module IN LISTS _${kit}_modules)
      vtk_module_load(${module})
      list(APPEND _module_depends ${${module}_DEPENDS})
    endforeach()

    set(_kit_depends)
    foreach(dep IN LISTS _module_depends)
      if(${dep}_KIT)
        list(APPEND _kit_depends ${${dep}_KIT}${VTK_KIT_SUFFIX})
      else()
        list(APPEND _kit_depends ${dep})
      endif()
    endforeach()
    list(REMOVE_DUPLICATES _kit_depends)
    set(${kit}${VTK_KIT_SUFFIX}_DEPENDS ${_kit_depends})

    set(_kit_python_depends)
    foreach(module IN LISTS ${kit}${VTK_KIT_SUFFIX}_DEPENDS)
      list(FIND VTK_PYTHON_MODULES_AND_KITS ${module} _module_index)
      if (_module_index GREATER -1)
        list(APPEND _kit_python_depends ${module})
      endif()
    endforeach()
    list(REMOVE_DUPLICATES _kit_python_depends)
    set(${kit}${VTK_KIT_SUFFIX}_PYTHON_DEPENDS ${_kit_python_depends})
  endforeach()

  # Create dependency lists for modules that also consider any dependent kits
  # (suffix: _DEPENDS_WITH_KITS). These lists are used to override
  # <module>_DEPENDS when calling vtk_add_python_wrapping_library.
  #
  # Additionally, create subsets of the full dependency lists that contain only
  # Python-wrapped kits and modules (suffix: _PYTHON_DEPENDS). These lists are
  # used to topologically sort the dependency graph.
  foreach(module IN LISTS _vtk_python_modules_only)
    vtk_module_load(${module})
    set(_saved_${module}_DEPENDS ${${module}_DEPENDS})

    set(_module_depends_with_kits)
    foreach(dep IN LISTS ${module}_DEPENDS)
      if(${dep}_KIT)
        list(APPEND _module_depends_with_kits ${${dep}_KIT}${VTK_KIT_SUFFIX})
      else()
        list(APPEND _module_depends_with_kits ${dep})
      endif()
    endforeach()
    list(REMOVE_DUPLICATES _module_depends_with_kits)
    set(${module}_DEPENDS_WITH_KITS ${_module_depends_with_kits})

    set(_module_python_depends)
    foreach(module IN LISTS ${module}_DEPENDS_WITH_KITS)
      list(FIND VTK_PYTHON_MODULES_AND_KITS ${module} _module_index)
      if (_module_index GREATER -1)
        list(APPEND _module_python_depends ${module})
      endif()
    endforeach()
    list(REMOVE_DUPLICATES _module_python_depends)
    set(${module}_PYTHON_DEPENDS ${_module_python_depends})
  endforeach()

  # Create list of kits and modules to wrap, ordered to satisfy dependencies.
  include(${VTK_CMAKE_DIR}/TopologicalSort.cmake)
  set(_vtk_python_wrapping_work_list ${VTK_PYTHON_MODULES_AND_KITS})
  topological_sort(_vtk_python_wrapping_work_list "" _PYTHON_DEPENDS)

  # Wrap kits and modules.
  foreach(target IN LISTS _vtk_python_wrapping_work_list)
    # Determine whether target is a kit or module
    string(REGEX REPLACE "(.+)${VTK_KIT_SUFFIX}\$" "\\1" _stripped_target ${target})
    if(_${_stripped_target}_is_kit)
      # Wrap kit
      set(kit ${_stripped_target})
      set(kit_srcs)
      foreach(module IN LISTS _${kit}_modules)
        vtk_module_headers_load(${module})
        vtk_include_recurse(${module})
      endforeach()
      vtk_add_python_wrapping("${_${kit}_modules}" kit_srcs ${kit}${VTK_KIT_SUFFIX})
      vtk_add_python_wrapping_library(${kit}${VTK_KIT_SUFFIX} kit_srcs ${_${kit}_modules})
    else()
      # Wrap module
      set(module ${_stripped_target})
      vtk_module_headers_load(${module})
      vtk_include_recurse(${module})
      vtk_add_python_wrapping(${module} module_srcs)
      # Override module dependency list for vtk_add_python_wrapping_library
      set(${module}_DEPENDS ${${module}_DEPENDS_WITH_KITS})
      vtk_add_python_wrapping_library(${module} module_srcs ${module})
      set(${module}_DEPENDS ${_saved_${module}_DEPENDS})
    endif()
  endforeach()

  # Ensure that original module dependency lists are restored
  foreach(module IN LISTS _vtk_python_modules_only)
    set(${module}_DEPENDS ${_saved_${module}_DEPENDS})
    unset(_saved_${module}_DEPENDS)
  endforeach()

else(VTK_ENABLE_KITS)
  # Loop through all modules that should be wrapped, and wrap them.
  foreach(module IN LISTS _vtk_python_modules_only)
    vtk_module_load(${module})
    vtk_module_headers_load(${module})
    vtk_include_recurse(${module})
    vtk_add_python_wrapping(${module} module_srcs)
    vtk_add_python_wrapping_library(${module} module_srcs ${module})
  endforeach()
endif(VTK_ENABLE_KITS)


option(VTK_ENABLE_VTKPYTHON "Enable vtkpython and pvtkpython binaries" ON)
mark_as_advanced(VTK_ENABLE_VTKPYTHON)
if(VTK_ENABLE_VTKPYTHON)

vtk_module_load(vtkWrappingPythonCore)
vtk_module_load(vtkPython)
include_directories(${CMAKE_CURRENT_BINARY_DIR}
  ${VTK_SOURCE_DIR}/Utilities
  ${vtkPython_INCLUDE_DIRS}
  ${vtkWrappingPythonCore_INCLUDE_DIRS})

if(UNIX)
  find_library(PYTHON_UTIL_LIBRARY
    NAMES util
    DOC "Utility library needed for vtkpython")
  mark_as_advanced(PYTHON_UTIL_LIBRARY)
endif()

# Generate the header which initializes Python modules when BUILD_SHARED_LIBS is
# OFF. The py_module_dependencies will be set to the libraries we should link
# against when we use the vtkpythonmodules.h file.
vtk_write_python_modules_header_for_wrapped_modules(
  "${CMAKE_CURRENT_BINARY_DIR}/vtkpythonmodules.h"
  py_module_dependencies)

# Create the VTK/Python  executable
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vtkPythonAppInitConfigure.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/vtkPythonAppInitConfigure.h)

add_executable(vtkpython vtkPythonAppInit.cxx ${extra_srcs})

if (WIN32)
  target_link_libraries(vtkpython ${extra_links})
endif ()

unset(VTKPYTHON_LINK_FLAGS)
unset(VTKPYTHON_LINK_LIBS)

if(CMAKE_SYSTEM_NAME MATCHES "AIX")
  get_filename_component(CMAKE_PYTHON_LIB_PREFIX "${PYTHON_LIBRARY}" PATH)
  find_file(CMAKE_PYTHON_LIBRARY_EXPORT python.exp "${CMAKE_PYTHON_LIB_PREFIX}")
  if(CMAKE_PYTHON_LIBRARY_EXPORT)
    set(VTKPYTHON_LINK_FLAGS "-Wl,-bE:${CMAKE_PYTHON_LIBRARY_EXPORT}")
  endif()
endif()

# Link against all the kit wrappers.
list(APPEND VTKPYTHON_LINK_LIBS vtkWrappingPythonCore)

if(PYTHON_UTIL_LIBRARY)
  list(APPEND VTKPYTHON_LINK_LIBS ${PYTHON_UTIL_LIBRARY})
endif()

set(VTKPYTHON_LINK_LIBS ${VTKPYTHON_LINK_LIBS} ${py_module_dependencies})

# Link to rt to prevent undefined symbol 'fdatasync'
if(CMAKE_SYSTEM MATCHES "SunOS.*" AND NOT CMAKE_COMPILER_IS_GNUCXX)
  find_library(VTK_SUNCC_RT_LIBRARY rt)
  if(VTK_SUNCC_RT_LIBRARY)
    set(VTKPYTHON_LINK_LIBS ${VTKPYTHON_LINK_LIBS} ${VTK_SUNCC_RT_LIBRARY})
  endif()
endif()

# If we are wrapping Tcl then the Tk libraries are available and should be used
# in the Python wrapping too.
if(VTK_WRAP_TCL)
  list(APPEND VTKPYTHON_LINK_LIBS ${VTK_TK_LIBRARIES})
endif()

if(HAVE_PTHREAD_H AND CMAKE_USE_PTHREADS)
  list(APPEND VTKPYTHON_LINK_LIBS ${CMAKE_THREAD_LIBS_INIT})
endif()

# FIXME: Is this needed here?
if(VTK_USE_FFMPEG_ENCODER)
  list(APPEND VTKPYTHON_LINK_LIBS ${FFMPEG_BASIC_LIBRARIES})
endif()

target_link_libraries(vtkpython ${VTKPYTHON_LINK_LIBS})

unset(PVTKPYTHON_EXECUTABLE)
# Create the pvtkpython Python wrapper executable with MPI support.
if(TARGET vtkParallelMPI)
  find_package(MPI REQUIRED)
  include_directories(${MPI_C_INCLUDE_PATH})
  set(MPI_LIBRARIES ${MPI_C_LIBRARIES})
  if(MPI_CXX_LIBRARIES)
    set(MPI_LIBRARIES ${MPI_LIBRARIES} ${MPI_CXX_LIBRARIES})
  endif()

  # Needed for mpich 2
  add_definitions("-DMPICH_IGNORE_CXX_SEEK")

  set(PVTKPYTHON_EXECUTABLE pvtkpython)
  add_executable(pvtkpython vtkParaPythonAppInit.cxx)
  target_link_libraries(pvtkpython ${VTKPYTHON_LINK_LIBS} vtkParallelMPI
    ${MPI_LIBRARIES})
endif()

endif()

# Handle out-of-source builds correctly.
#
#  1. Create a list of Python files to be installed/copied.
#  2. Copy them to VTK_BINARY_DIR if it is different from VTK_SOURCE_DIR.
#  3. Use Python's compileall to compile the copied files.
#
# *** Step 1 has to be done carefully to avoid missing out files ***

if(PYTHON_EXECUTABLE)
  # Make the necessary directories.
  file(MAKE_DIRECTORY
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/gtk
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/qt4
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/qt
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/tk
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/util
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/wx
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/test
    ${CMAKE_CURRENT_BINARY_DIR}/vtk/numpy_interface)

# Now create a list of Python files.

# Wrapping/Python/vtk/*.py
  unset(VTK_PYTHON_FILES)
  unset(VTK_PYTHON_IMPORT_ALL)
  foreach(module IN LISTS VTK_PYTHON_MODULES_AND_KITS)
    set(VTK_PYTHON_IMPORT_ALL
      "${VTK_PYTHON_IMPORT_ALL}from .${module} import *\n")
    configure_file(vtk/module.py.in vtk/${module}.py @ONLY)
    list(APPEND VTK_PYTHON_FILES
      "${CMAKE_CURRENT_BINARY_DIR}/vtk/${module}.py")
  endforeach()
  configure_file(vtk/__init__.py.in vtk/__init__.py @ONLY)
  list(APPEND VTK_PYTHON_FILES
    "${CMAKE_CURRENT_BINARY_DIR}/vtk/__init__.py")

# Kit module adapters
  foreach(kit IN LISTS vtk_kits)
    set(_module_kit ${kit}${VTK_KIT_SUFFIX})
    foreach(dep IN LISTS _${kit}_modules)
      configure_file(vtk/kit_module__init__.py.in vtk/${dep}.py @ONLY)
      list(APPEND VTK_PYTHON_FILES
        "${CMAKE_CURRENT_BINARY_DIR}/vtk/${dep}.py")
    endforeach()
  endforeach()
  unset(_module_kit)

# vtk.util package
  list(APPEND VTK_PYTHON_FILES
    vtk/util/__init__
    vtk/util/_argparse
    vtk/util/vtkMethodParser
    vtk/util/misc
    vtk/util/vtkConstants
    vtk/util/vtkImageExportToArray
    vtk/util/vtkImageImportFromArray
    vtk/util/vtkVariant
    vtk/util/colors
    vtk/util/numpy_support
    vtk/util/vtkAlgorithm
    vtk/util/keys
    )

# vtk.test package
  list(APPEND VTK_PYTHON_FILES
    vtk/test/BlackBox
    vtk/test/Testing
    vtk/test/__init__
    )

# Tk related files
  list(APPEND VTK_PYTHON_FILES
    vtk/tk/__init__

=== Wrapping/PythonCore/CMakeLists.txt ===
include(VTKGenerateExportHeader)
include(vtkPythonWrapping)

set(Module_SRCS
  vtkPythonArgs.cxx
  vtkPythonCommand.cxx
  vtkPythonOverload.cxx
  vtkPythonUtil.cxx
  vtkSmartPyObject.cxx
  PyVTKExtras.cxx
  PyVTKMethodDescriptor.cxx
  PyVTKMutableObject.cxx
  PyVTKNamespace.cxx
  PyVTKObject.cxx
  PyVTKSpecialObject.cxx
  PyVTKTemplate.cxx
  )

set(Module_HDRS
  vtkPythonCompatibility.h
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}Module.h
  )

list(APPEND Module_SRCS ${Module_HDRS})

set_source_files_properties(
  ${Module_HDRS}
  HEADER_FILE_ONLY
  )

include_directories(
  ${VTK_SOURCE_DIR}/Utilities
  )

# SIP directory will be searched before other python dirs
set(PYTHON_WRAPPING_INCLUDE_DIRS)
if(VTK_WRAP_PYTHON_SIP)
  list(APPEND PYTHON_WRAPPING_INCLUDE_DIRS "${SIP_INCLUDE_DIR}")
endif()
set(${vtk-module}_SYSTEM_INCLUDE_DIRS ${PYTHON_WRAPPING_INCLUDE_DIRS})

set(${vtk-module}_NO_HeaderTest 1)
set(${vtk-module}_INCLUDE_DIRS)

set(XY ${PYTHON_MAJOR_VERSION}${PYTHON_MINOR_VERSION})
vtk_module_library(${vtk-module} ${Module_SRCS})
get_property(output_name TARGET ${vtk-module} PROPERTY OUTPUT_NAME)
string(REPLACE "Python" "Python${XY}" output_name "${output_name}")
set_property(TARGET ${vtk-module} PROPERTY OUTPUT_NAME ${output_name})

=== ThirdParty/TclTk/lib/CMakeLists.txt ===
IF (TCL_FOUND AND TK_FOUND)

  # Do we need to copy the Tcl/Tk support files to the build directory ?
  # Yes if we are building against  static Tcl/Tk, and also yes if we
  # are building against a shared Tcl/Tk which was provided with no
  # support files (turn-key apps like ParaViewComplete for example).
  # In the latter case, it's up to the user or the top CMakeLists.txt 
  # file to set VTK_TCL_TK_COPY_SUPPORT_LIBRARY to ON, since there is no
  # reliable way to know that the Tcl/Tk shared lib was provided with
  # no support files.

  SET (VTK_TCL_TK_COPY_SUPPORT_LIBRARY ${VTK_TCL_TK_STATIC} CACHE INTERNAL "Very few users should worry about this option. If VTK is built against a static Tcl/Tk lib (see VTK_TCL_TK_STATIC) or a shared Tcl/Tk bundled inside a project with no library support files (ex: ParaViewComplete), this variable should be set to ON and both VTK_TCL_SUPPORT_LIBRARY_PATH and VTK_TK_SUPPORT_LIBRARY_PATH should point to the directories that hold those files (typically, lib/tcl8.4 and lib/tk8.4 for a typical Tcl/Tk installation, or tcl8.4.5/library and tk8.4.5/library for a Tcl/Tk source repository). Once this variable is set to ON, support files will automatically be copied to the build directory and the executables will try to use that location to initialize Tcl/Tk.")

  IF (VTK_TCL_TK_COPY_SUPPORT_LIBRARY)
    VTK_GET_TCL_TK_VERSION ("TCL_TK_MAJOR_VERSION" "TCL_TK_MINOR_VERSION")
    SET (TCL_TK_VERSION "${TCL_TK_MAJOR_VERSION}.${TCL_TK_MINOR_VERSION}")

    GET_FILENAME_COMPONENT(TCL_LIBRARY_PATH ${TCL_LIBRARY} PATH)
    SET (TRY_DIRS
         "${TCL_LIBRARY_PATH}/tcl${TCL_TK_VERSION}"
         "${TCL_INCLUDE_PATH}/../lib/tcl${TCL_TK_VERSION}"
         "${TCL_LIBRARY_PATH}/../library"
         "${TCL_INCLUDE_PATH}/../library")
    FOREACH (dir ${TRY_DIRS})
      IF (EXISTS "${dir}/auto.tcl")
        SET (VTK_TCL_SUPPORT_LIBRARY_PATH ${dir} CACHE INTERNAL
             "Path to the Tcl support library files.")
      ENDIF ()
    ENDFOREACH ()

    GET_FILENAME_COMPONENT(TK_LIBRARY_PATH ${TK_LIBRARY} PATH)
    SET (TRY_DIRS
         "${TK_LIBRARY_PATH}/tk${TCL_TK_VERSION}"
         "${TK_INCLUDE_PATH}/../lib/tk${TCL_TK_VERSION}"
         "${TK_LIBRARY_PATH}/../library"
         "${TK_INCLUDE_PATH}/../library")
    FOREACH (dir ${TRY_DIRS})
      IF (EXISTS "${dir}/clrpick.tcl")
        SET (VTK_TK_SUPPORT_LIBRARY_PATH ${dir} CACHE INTERNAL
             "Path to the Tk support library files.")
      ENDIF ()
    ENDFOREACH ()

    IF(VTK_TCL_SUPPORT_LIBRARY_PATH AND VTK_TK_SUPPORT_LIBRARY_PATH)

      # required for the vtk.exe interpreter to work
      IF(VTK_WRAP_TCL) 
        IF(NOT DEFINED TclTk_LIB_DIR)
          SET(TclTk_LIB_DIR "${PROJECT_BINARY_DIR}/lib")
        ENDIF()
        VTK_COPY_TCL_TK_SUPPORT_FILES_TO_DIR (
          ${VTK_TCL_SUPPORT_LIBRARY_PATH}
          ${VTK_TK_SUPPORT_LIBRARY_PATH}
          "${TclTk_LIB_DIR}")
      ENDIF()

      IF(NOT VTK_INSTALL_NO_RUNTIME)
        VTK_COPY_TCL_TK_SUPPORT_FILES(
          "${VTK_TCL_SUPPORT_LIBRARY_PATH}"
          "${VTK_INSTALL_TCL_DIR}/tcl${TCL_TK_VERSION}"
          "${VTK_TK_SUPPORT_LIBRARY_PATH}"
          "${VTK_INSTALL_TCL_DIR}/tk${TCL_TK_VERSION}"
          INSTALL)
      ENDIF()

      IF(NOT VTK_INSTALL_NO_RUNTIME)
        VTK_GET_TCL_SUPPORT_FILES(
          ${VTK_TCL_SUPPORT_LIBRARY_PATH} "TCL_SUPPORT_FILES")
        FOREACH (file ${TCL_SUPPORT_FILES})
          STRING (REGEX REPLACE "${VTK_TCL_SUPPORT_LIBRARY_PATH}/" "" base ${file})
          GET_FILENAME_COMPONENT(dest ${base} PATH)
          INSTALL(FILES "${file}"
            DESTINATION "${VTK_INSTALL_TCL_DIR}/tcl${TCL_TK_VERSION}/${dest}"
            COMPONENT RuntimeLibraries
            )
        ENDFOREACH ()

        VTK_GET_TK_SUPPORT_FILES(${VTK_TK_SUPPORT_LIBRARY_PATH} "TK_SUPPORT_FILES")
        FOREACH (file ${TK_SUPPORT_FILES})
          STRING (REGEX REPLACE "${VTK_TK_SUPPORT_LIBRARY_PATH}/" "" base ${file})
          GET_FILENAME_COMPONENT(dest ${base} PATH)
          INSTALL(FILES "${file}"
            DESTINATION "${VTK_INSTALL_TCL_DIR}/tk${TCL_TK_VERSION}/${dest}"
            COMPONENT RuntimeLibraries
            )
        ENDFOREACH ()
      ENDIF()

    ENDIF()

  ENDIF ()

ENDIF ()

=== ThirdParty/libproj4/vtklibproj4/CMakeLists.txt ===
#################################################################################
#
# This file is part of CMake configuration for PROJ4 library (inspired from SOCI
# CMake,  Copyright (C) 2009-2010 Mateusz Loskot <mateusz@loskot.net> )
#
# Copyright (C) 2011 Nicolas David <nicolas.david@ign.fr>
# Distributed under the MIT license
#
#################################################################################
# General settings
#################################################################################
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

# proj4 is an ANSI C project
project(PROJ4 C)
set(PROJECT_INTERN_NAME PROJ)

#################################################################################
# PROJ4 CMake modules
#################################################################################
# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_MODULE_PATH ${PROJ4_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(Proj4Utilities)

message(STATUS "")
colormsg(_HIBLUE_ "Configuring PROJ:")

#################################################################################
#PROJ version information
#################################################################################
include(Proj4Version)
proj_version(MAJOR 4 MINOR 9 PATCH 2)
set(PROJ_API_VERSION "9")
set(PROJ_BUILD_VERSION "10.0.1")

#################################################################################
# Build features and variants
#################################################################################
include(Proj4Config)
include(Proj4Mac)
include(policies)

#################################################################################
# threading configuration
#################################################################################
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package (Threads)

include(CheckIncludeFiles)
include(CheckSymbolExists)
CHECK_SYMBOL_EXISTS(PTHREAD_MUTEX_RECURSIVE pthread.h HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
if (HAVE_PTHREAD_MUTEX_RECURSIVE_DEFN)
    add_definitions(-DHAVE_PTHREAD_MUTEX_RECURSIVE=1)
endif()

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif ()

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # For multi-config systems and for Visual Studio, the debug version of
  # the library has _d appended.
  set (CMAKE_DEBUG_POSTFIX _d)
endif ()

#################################################################################
# Installation
#################################################################################
include(Proj4InstallPath)
set(LIBPROJ_BINDIR "${DEFAULT_BINDIR}" CACHE PATH "The directory to install binaries into.")
set(LIBPROJ_LIBDIR "${DEFAULT_LIBDIR}" CACHE PATH "The directory to install libraries into.")
set(LIBPROJ_DATADIR "${DEFAULT_DATADIR}" CACHE PATH "The directory to install data files into.")
set(LIBPROJ_DOCDIR "${DEFAULT_DOCDIR}" CACHE PATH "The directory to install doc files into.")
set(LIBPROJ_INCLUDEDIR "${DEFAULT_INCLUDEDIR}" CACHE PATH "The directory to install includes into.")

mark_as_advanced(LIBPROJ_BINDIR LIBPROJ_LIBDIR LIBPROJ_DATADIR LIBPROJ_DOCDIR LIBPROJ_INCLUDEDIR)

#################################################################################
# Build configured components
#################################################################################
include_directories(${PROJ4_SOURCE_DIR}/src)

message(STATUS "")
add_subdirectory(src)

=== Examples/ParallelProcessing/Generic/Cxx/CMakeLists.txt ===
INCLUDE_REGULAR_EXPRESSION("^(lex|vtk|png|j|Task|Pipe).*$")

include(vtkMPI)

find_package(VTK COMPONENTS
  vtkImagingCore
  vtkImagingGeneral
  vtkFiltersCore
  vtkFiltersSources
  vtkParallelMPI
  vtkRenderingCore
  vtkRenderingParallel
  vtkTestingCore
  vtkTestingRendering
)
include(${VTK_USE_FILE})

# Needed for mpich 2
ADD_DEFINITIONS("-DMPICH_IGNORE_CXX_SEEK")

ADD_EXECUTABLE(ParallelIso ParallelIso.cxx)
TARGET_LINK_LIBRARIES(ParallelIso LINK_PRIVATE ${VTK_LIBRARIES})
VTK_MPI_LINK(ParallelIso)

SET(TaskPara_SRCS TaskParallelism.cxx task1.cxx task2.cxx)

ADD_EXECUTABLE(TaskParallelism          ${TaskPara_SRCS})
TARGET_LINK_LIBRARIES (TaskParallelism ${VTK_LIBRARIES})

#  ADD_EXECUTABLE(SimpleBenchmark SimpleBenchmark.cxx)
#  TARGET_LINK_LIBRARIES(SimpleBenchmark vtkParallel ${MPI_LIBRARIES} )

## vtk7 7.1.1%2Bdfsg1

=== debian/changelog ===
vtk7 (7.1.1+dfsg1-12+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>  Tue, 19 Jan 2021 14:28:34 +0800

vtk7 (7.1.1+dfsg1-12) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Let libvtk7-qt-dev depend on libqt5opengl5-dev rather than on
    libqt5opengl5-desktop-dev, as it was done for the build-dep.
    This fixes the dependency on arm{el,hf} which have OpenGL ES.
    Closes: #915779.

 -- Gert Wollny <gewo@debian.org>  Mon, 17 Dec 2018 10:03:58 +0100

vtk7 (7.1.1+dfsg1-11) unstable; urgency=medium

  * Re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Tue, 04 Dec 2018 23:34:23 +0100

vtk7 (7.1.1+dfsg1-11~exp1) experimental; urgency=medium

  * d/control, rules: re-enable qt on armel/armhf, Closes: #915054
  * d/rules: Add -ffloat-store to buildflags on i386, 
    hopefully helps to fix #914817

 -- Gert Wollny <gewo@debian.org>  Sun, 02 Dec 2018 19:08:36 +0100

vtk7 (7.1.1+dfsg1-10) unstable; urgency=medium

  * d/rules: Correctly set BuildAllModules, Closes: #911793
  * d/p/110: fix build with python 3.7.1, Closes:  #914347
  * d/p/111: Correct shebangs and add patch description

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Nov 2018 21:02:42 +0100

vtk7 (7.1.1+dfsg1-9) unstable; urgency=medium

  * d/control: Add mipsel to build archs for *-qt packages, 
    Closes: #913459

 -- Gert Wollny <gewo@debian.org>  Mon, 12 Nov 2018 17:48:00 +0100

vtk7 (7.1.1+dfsg1-8) unstable; urgency=medium

  * d/control: Remove QT deps from vtk-tcl on armhf/armel

 -- Gert Wollny <gewo@debian.org>  Mon, 29 Oct 2018 07:09:14 +0100

vtk7 (7.1.1+dfsg1-7) unstable; urgency=medium

  * d/control: Remove python3-vtk deps on QT on armhf armel

 -- Gert Wollny <gewo@debian.org>  Sun, 28 Oct 2018 19:16:48 +0100

vtk7 (7.1.1+dfsg1-6) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Sun, 28 Oct 2018 09:09:12 +0100

vtk7 (7.1.1+dfsg1-6~exp1) experimental; urgency=medium

  * d/*: don't build QT packages on armel,armhf and disables 
         some things around it
  * d/vtk7.install: don't install the OglExtension parser, this 
         seems to relate to the disabled OpenGL render backend and
         not to the new OpenGL2 backend 

 -- Gert Wollny <gewo@debian.org>  Sat, 27 Oct 2018 11:45:02 +0200

vtk7 (7.1.1+dfsg1-5) unstable; urgency=medium

  * cmd fix dpkg   
    - Update standards to 4.2.1 (no changes)
    - remove expat license text from d/copyright
  * re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Sun, 09 Sep 2018 14:13:06 +0200

vtk7 (7.1.1+dfsg1-5~exp1) experimental; urgency=medium

  * d/rules: remove python3.5 symlink, Closes: #906181
  * d/control: Depend only on the default python3 version
  * d/control: remove obsolete x-python3-version tag
  * Upload to experimental because of python3-ubjson

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Aug 2018 19:25:46 +0200

vtk7 (7.1.1+dfsg1-4) unstable; urgency=medium

  * d/control:build-dep on libqt5opengl5-desktop-dev Closes: #896100
  * d/rules: remove hard-coded MIP include path

 -- Gert Wollny <gewo@debian.org>  Sun, 22 Apr 2018 18:36:35 +0200

vtk7 (7.1.1+dfsg1-3) unstable; urgency=medium

  * Update autopkgtst to OpenGL2 interface
  * d/control: Remove Andy from uploaders

 -- Gert Wollny <gewo@debian.org>  Sun, 15 Apr 2018 16:37:32 +0200

vtk7 (7.1.1+dfsg1-2) unstable; urgency=medium

  * d/control: Add depenency on libglew-dev to -dev package

 -- Gert Wollny <gewo@debian.org>  Fri, 13 Apr 2018 12:15:49 +0200

vtk7 (7.1.1+dfsg1-1) unstable; urgency=medium

  * upload to unstable

 -- Gert Wollny <gewo@debian.org>  Thu, 12 Apr 2018 14:45:41 +0200

vtk7 (7.1.1+dfsg1-1~exp4) experimental; urgency=medium

  * [32f2e3c] d/control: Disable build on armel and armhf
  * [de17b61] d/python3-vtk7.install: Also install helpers

 -- Gert Wollny <gewo@debian.org>  Sun, 08 Apr 2018 20:14:40 +0200

vtk7 (7.1.1+dfsg1-1~exp3) experimental; urgency=medium

  * [3c45e93] d/p/fix_glew: Add patch to fix conflict between 
    glew and gles on arm

 -- Gert Wollny <gewo@debian.org>  Thu, 05 Apr 2018 18:55:21 +0200

vtk7 (7.1.1+dfsg1-1~exp2) experimental; urgency=medium

  * Initial release. (Closes: #810254)
    Thanks: Nico Schloemer for initial work and python3 packaging

 -- Gert Wollny <gewo@debian.org>  Sun, 01 Apr 2018 21:00:44 +0000

=== debian/control ===
Source: vtk7
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gert Wollny <gewo@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>
Section: graphics
Priority: optional
Build-Depends: chrpath,
               cmake (>= 3.2.0),
               debhelper (>= 9),
               default-jdk,
               default-libmysqlclient-dev,
               dh-python,
               libftgl-dev,
               hdf5-tools,
               javahelper,
               libalglib-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libboost-all-dev,
               libdigest-md5-perl,
               libexpat-dev,
               libfreetype6-dev,
               libfontconfig1-dev,
               libgdal-dev,
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev (>= 1.4.0),
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libhdf5-mpi-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmrmpi-dev,
               libnetcdf-dev,
               libnetcdf-cxx-legacy-dev,
               libogg-dev,
               libosmesa6-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libsqlite3-dev,
               libswscale-dev,
               libtheora-dev,
               libtiff-dev,
               libutfcpp-dev,
               libx11-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               mpi-default-dev,
               pkg-config,
               python3-dev,
               python3-autobahn,
               python3-matplotlib,
               python3-mpi4py,
               python3-six,
               python3-twisted,
               qtbase5-dev,
               qttools5-private-dev,
               r-base,
               r-base-core,
               r-base-dev,
               tcl-dev,
               tk-dev,
               x11proto-core-dev,
               xauth,
               xvfb,
               zlib1g-dev
Build-Depends-Indep: doxygen-latex,
                     texlive-binaries,
                     graphviz,
                     ghostscript,
                     libjs-mathjax,
                     gnuplot-nox
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/vtk7
Vcs-Git: https://salsa.debian.org/science-team/vtk7.git
Homepage: http://www.vtk.org/

Package: libvtk7-dev
Architecture: any
Section: libdevel
Depends: default-libmysqlclient-dev,
         libavcodec-dev,
         libavformat-dev,
         libavutil-dev,
         libc6-dev,
         libeigen3-dev,
         libexpat-dev,
         libfreetype6-dev,
         libgdal-dev,
         libgl1-mesa-dev | libgl-dev,
         libgl2ps-dev,
         libglew-dev,
         libglu1-mesa-dev | libglu-dev,
         libhdf5-mpi-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         libnetcdf-dev,
         libnetcdf-cxx-legacy-dev,
         libogg-dev,
         libpng-dev,
         libpq-dev,
         libproj-dev,
         libpython3-dev,
         libswscale-dev,
         libtheora-dev,
         libtiff-dev,
         libvtk7.1 (= ${binary:Version}),
         libvtk7-java (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxml2-dev,
         libxss-dev,
         libxt-dev,
         mpi-default-dev,
         python3-vtk7 (= ${binary:Version}),
         python3-zope.interface,
         tcl-dev,
         tcl-vtk7 (= ${binary:Version}),
         tk-dev,
         vtk7 (= ${binary:Version}),
         x11proto-core-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk7-doc,
          vtk7-examples
Conflicts: libvtk5-dev
Replaces: libvtk5-dev
Description: VTK header files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk7-qt-dev
Architecture: any
Section: libdevel
Depends: libvtk7-dev (= ${binary:Version}),
         libvtk7.1-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qtbase5-dev,
         qttools5-private-dev,
         libqt5opengl5-dev,
         libqt5webkit5-dev
Description: VTK header files, containing Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation. Qt files

Package: libvtk7.1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-default-bin,
          vtk7-doc,
          vtk7-examples
Conflicts: libvtk7 (>> 6.0.0-7)
Replaces: libvtk5.8,
          libvtk7
Description: VTK libraries
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.

Package: libvtk7.1-qt
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: VTK libraries, Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK. Qt files

Package: libvtk7-jni
Architecture: any
Section: java
Depends: ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk6-jni
Replaces: libvtk6-jni
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: libvtk7-java
Architecture: any
Section: java
Depends: libvtk7-jni (= ${binary:Version}),
         ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: java-virtual-machine,
          libvtk7-dev (= ${binary:Version}),
          vtk7-doc,
          vtk7-examples
Breaks: libvtk6-java
Replaces: libvtk6-java
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python3-vtk7
Architecture: any
Section: python
Depends: libvtk7.1 (= ${binary:Version}),
         libvtk7.1-qt (= ${binary:Version}) [!armhf !armel],
         python3-autobahn,
         python3-mpi4py,
         python3-six,
         python3-twisted,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: mayavi2,
          vtk7-doc,
          vtk7-examples
Breaks: python3-vtk6
Replaces: python3-vtk6
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the python3 bindings for VTK.

Package: tcl-vtk7
Architecture: any
Section: interpreters
Depends: libvtk7.1 (= ${binary:Version}),
         libvtk7.1-qt (= ${binary:Version}) [!armhf !armel],
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk7-doc,
          vtk7-examples
Description: Tcl bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries and executable that enable 
 one to use VTK from Tcl/Tk scripts.

Package: vtk7
Architecture: any
Section: interpreters
Depends: libvtk7.1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk7-doc,
          vtk7-examples
Description: Binaries for VTK7
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides binaries for VTK7

Package: vtk7-doc
Architecture: all
Section: doc
Depends: doc-base,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends}
Suggests: libvtk7-dev,
          vtk7-examples
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides documentation for VTK7

Package: vtk7-examples
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Suggests: libvtk7-dev,
          python3,
          python3-vtk7,
          tcl-vtk7,
          tclsh,
          vtk7-doc
Description: VTK examples
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides examples for VTK7

## vtk7 7.1.1%2Bdfsg2

=== debian/changelog ===
vtk7 (7.1.1+dfsg2-8) unstable; urgency=medium

  * Team upload
  * Add patch to fix mysql8 build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2020 20:52:18 +0100

vtk7 (7.1.1+dfsg2-7) unstable; urgency=medium

  * Team upload
  * Fix maintainer address (Closes: #977390)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2020 18:57:56 +0100

vtk7 (7.1.1+dfsg2-6) unstable; urgency=medium

  * Team upload
  * debian/patches/581d9eb874b2b80a3fb21c739a96fa6f955ffb5e.patch:
    - another upstream cherry-pick for new freetype build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 22:20:48 +0100

vtk7 (7.1.1+dfsg2-5) unstable; urgency=medium

  * Team upload
  * debian/patches/3edc0de2b04ae1e100c229e592d6b9fa94f2915a.patch:
    - cherry-pick and rebase upstream build fix for new freetype (Closes:
      #976976)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 20:05:14 +0100

vtk7 (7.1.1+dfsg2-4) unstable; urgency=medium

  * Revert "d/p/114: Fix compilation with mysql" Closes: #955817
  * d/d/115: Handle gcc-10 in version check Closes: #957917
  * d/control: Move to compat level 11

 -- Gert Wollny <gewo@debian.org>  Sat, 25 Apr 2020 20:39:23 +0200

vtk7 (7.1.1+dfsg2-3) unstable; urgency=medium

  * d/control,rules: Support build without java, Closes: #947986
  * d/p/113 fix comparison with literal, Closes:#950539
  * d/p/114: Fix compilation with newer mysql

 -- Gert Wollny <gewo@debian.org>  Sat, 25 Apr 2020 15:53:00 +0200

vtk7 (7.1.1+dfsg2-2) unstable; urgency=medium

  * d/libvtk7-jni: Install into correct libdir, Closes: #950027

 -- Gert Wollny <gewo@debian.org>  Sun, 09 Feb 2020 16:52:05 +0100

vtk7 (7.1.1+dfsg2-1) unstable; urgency=medium

  * Upload to unstable, Closes:  #931944 

 -- Gert Wollny <gewo@debian.org>  Fri, 01 Nov 2019 09:19:22 +0100

vtk7 (7.1.1+dfsg2-1~exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * update broken debian/watch

  [ Gert Wollny ]
  * d/*: switch back to use bundled proj4, Closes: #931044
  * d/watch: Restrict to v7
  * Update tarball to contain proj4 
  * d/p/112: Add support for riscv64, Closes: #924611
  * d/libvtk-jni: install to /usr/lib/jni (Java Policy 2.4), 
    Closes: #930512
  * d/*: Change soname because of using embedded libproj4

 -- Gert Wollny <gewo@debian.org>  Sun, 25 Aug 2019 22:15:51 +0200
